Skip to main content
POST /vendor/{org_token}/locations/{location_id}
Send only the fields you want to change. Omitted fields are left unchanged.

Path parameters

ParameterTypeRequiredDescription
org_tokenstringYesYour organization token (find it here)
location_idstringYesThe location ID

Request body

FieldTypeNotes
titlestring
venue_type_idstringChanging this resets status to REVIEW
latfloatChanging this resets status to REVIEW
longfloatChanging this resets status to REVIEW
opening_168boolean[168]
visitors_7int[7]
archivedboolean
available_for_adsbooleanOnly settable when status is APPROVED
statusstringCan only be set to REVIEW (from DRAFT), requires all review fields
emailstring
phonestring

Example request

curl -X POST "https://api.framen.com/vendor/Org_9WeJxcVrRnM/locations/Loc_f9FxuWDTfzy" \
  -H "Content-Type: application/json" \
  -d '{
    "title": "Alexa Shopping Centre - Main Entrance",
    "visitors_7": [160, 160, 160, 160, 190, 210, 130]
  }'

Response

Returns the updated location object.